gdata.tlslite.integration.HTTPTLSConnection | index /home/afshar/wrk/gdata-python-client/src/gdata/tlslite/integration/HTTPTLSConnection.py

`TLS Lite + httplib.`

Modules
`` |  |
httplib | socket |  |

Classes
`` |  | httplib.HTTPConnection HTTPBaseTLSConnection HTTPTLSConnection(HTTPBaseTLSConnection, gdata.tlslite.integration.ClientHelper.ClientHelper)
class HTTPBaseTLSConnection(httplib.HTTPConnection)
`` | `This abstract class provides a framework for adding TLS support to httplib.`
| Methods defined here: __init__(self, host, port=None, strict=None) connect(self) Data and other attributes defined here: default_port = 443 Methods inherited from httplib.HTTPConnection: close(self) `Close the connection to the HTTP server.` endheaders(self) `Indicate that the last header line has been sent to the server.` getresponse(self) `Get the response from the server.` putheader(self, header, value) `Send a request header line to the server. For example: h.putheader('Accept', 'text/html')` putrequest(self, method, url, skip_host=0, skip_accept_encoding=0) `Send a request to the server. `method' specifies an HTTP request method, e.g. 'GET'. `url' specifies the object being requested, e.g. '/index.html'. `skip_host' if True does not add automatically a 'Host:' header `skip_accept_encoding' if True does not add automatically an 'Accept-Encoding:' header` request(self, method, url, body=None, headers={}) `Send a complete request to the server.` send(self, str) `Send `str' to the server.` set_debuglevel(self, level) Data and other attributes inherited from httplib.HTTPConnection: auto_open = 1 debuglevel = 0 response_class = <class httplib.HTTPResponse> strict = 0
class HTTPTLSConnection(HTTPBaseTLSConnection, gdata.tlslite.integration.ClientHelper.ClientHelper)
`` | `This class extends L{HTTPBaseTLSConnection} to support the common types of handshaking.`
| Method resolution order: HTTPTLSConnection HTTPBaseTLSConnection httplib.HTTPConnection gdata.tlslite.integration.ClientHelper.ClientHelper Methods defined here: __init__(self, host, port=None, username=None, password=None, sharedKey=None, certChain=None, privateKey=None, cryptoID=None, protocol=None, x509Fingerprint=None, x509TrustList=None, x509CommonName=None, settings=None) `Create a new HTTPTLSConnection. For client authentication, use one of these argument combinations: - username, password (SRP) - username, sharedKey (shared-key) - certChain, privateKey (certificate) For server authentication, you can either rely on the implicit mutual authentication performed by SRP or shared-keys, or you can do certificate-based server authentication with one of these argument combinations: - cryptoID[, protocol] (requires cryptoIDlib) - x509Fingerprint - x509TrustList[, x509CommonName] (requires cryptlib_py) Certificate-based server authentication is compatible with SRP or certificate-based client authentication. It is not compatible with shared-keys. The constructor does not perform the TLS handshake itself, but simply stores these arguments for later. The handshake is performed only when this class needs to connect with the server. Thus you should be prepared to handle TLS-specific exceptions when calling methods inherited from L{httplib.HTTPConnection} such as request(), connect(), and send(). See the client handshake functions in L{tlslite.TLSConnection.TLSConnection} for details on which exceptions might be raised. @type host: str @param host: Server to connect to. @type port: int @param port: Port to connect to. @type username: str @param username: SRP or shared-key username. Requires the 'password' or 'sharedKey' argument. @type password: str @param password: SRP password for mutual authentication. Requires the 'username' argument. @type sharedKey: str @param sharedKey: Shared key for mutual authentication. Requires the 'username' argument. @type certChain: L{tlslite.X509CertChain.X509CertChain} or L{cryptoIDlib.CertChain.CertChain} @param certChain: Certificate chain for client authentication. Requires the 'privateKey' argument. Excludes the SRP or shared-key related arguments. @type privateKey: L{tlslite.utils.RSAKey.RSAKey} @param privateKey: Private key for client authentication. Requires the 'certChain' argument. Excludes the SRP or shared-key related arguments. @type cryptoID: str @param cryptoID: cryptoID for server authentication. Mutually exclusive with the 'x509...' arguments. @type protocol: str @param protocol: cryptoID protocol URI for server authentication. Requires the 'cryptoID' argument. @type x509Fingerprint: str @param x509Fingerprint: Hex-encoded X.509 fingerprint for server authentication. Mutually exclusive with the 'cryptoID' and 'x509TrustList' arguments. @type x509TrustList: list of L{tlslite.X509.X509} @param x509TrustList: A list of trusted root certificates. The other party must present a certificate chain which extends to one of these root certificates. The cryptlib_py module must be installed to use this parameter. Mutually exclusive with the 'cryptoID' and 'x509Fingerprint' arguments. @type x509CommonName: str @param x509CommonName: The end-entity certificate's 'CN' field must match this value. For a web server, this is typically a server name such as 'www.amazon.com'. Mutually exclusive with the 'cryptoID' and 'x509Fingerprint' arguments. Requires the 'x509TrustList' argument. @type settings: L{tlslite.HandshakeSettings.HandshakeSettings} @param settings: Various settings which can be used to control the ciphersuites, certificate types, and SSL/TLS versions offered by the client.` Methods inherited from HTTPBaseTLSConnection: connect(self) Data and other attributes inherited from HTTPBaseTLSConnection: default_port = 443 Methods inherited from httplib.HTTPConnection: close(self) `Close the connection to the HTTP server.` endheaders(self) `Indicate that the last header line has been sent to the server.` getresponse(self) `Get the response from the server.` putheader(self, header, value) `Send a request header line to the server. For example: h.putheader('Accept', 'text/html')` putrequest(self, method, url, skip_host=0, skip_accept_encoding=0) `Send a request to the server. `method' specifies an HTTP request method, e.g. 'GET'. `url' specifies the object being requested, e.g. '/index.html'. `skip_host' if True does not add automatically a 'Host:' header `skip_accept_encoding' if True does not add automatically an 'Accept-Encoding:' header` request(self, method, url, body=None, headers={}) `Send a complete request to the server.` send(self, str) `Send `str' to the server.` set_debuglevel(self, level) Data and other attributes inherited from httplib.HTTPConnection: auto_open = 1 debuglevel = 0 response_class = <class httplib.HTTPResponse> strict = 0